Bug 1248160 - ClassCastException on transactional cache
Summary: ClassCastException on transactional cache
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan   
(Show other bugs)
Version: 6.4.1,6.6.0,6.5.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: 6.5.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1248441 1249009
TreeView+ depends on / blocked
 
Reported: 2015-07-29 18:28 UTC by Gustavo Fernandes
Modified: 2018-02-08 00:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using transactional cache in clustered environment in JBoss Data Grid, there was a possibility that getCacheEntry operation on advanced cache would throw ClassCastException. The issue is resolved and corner case is handled correctly in JBoss Data Grid 6.6.0.
Story Points: ---
Clone Of:
: 1248441 1249009 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5647 Critical Resolved ClassCastException on transactional cache 2016-06-07 11:12 UTC

Description Gustavo Fernandes 2015-07-29 18:28:23 UTC
Description of problem:

Sometimes transactional caches can throw:

java.lang.ClassCastException: XYZ cannot be cast to org.infinispan.container.entries.CacheEntry

Where XYZ is the class of the value stored.


Note You need to log in before you can comment on or make changes to this bug.